Skip to main content
POST
/
v1
/
incident_permission_sets
Creates an incident_permission_set
curl --request POST \
  --url https://api.rootly.com/v1/incident_permission_sets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "type": "incident_permission_sets",
    "attributes": {
      "name": "<string>",
      "description": "<string>",
      "private_incident_permissions": [],
      "public_incident_permissions": []
    }
  }
}
'
import requests

url = "https://api.rootly.com/v1/incident_permission_sets"

payload = { "data": {
        "type": "incident_permission_sets",
        "attributes": {
            "name": "<string>",
            "description": "<string>",
            "private_incident_permissions": [],
            "public_incident_permissions": []
        }
    } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/vnd.api+json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
  body: JSON.stringify({
    data: {
      type: 'incident_permission_sets',
      attributes: {
        name: '<string>',
        description: '<string>',
        private_incident_permissions: [],
        public_incident_permissions: []
      }
    }
  })
};

fetch('https://api.rootly.com/v1/incident_permission_sets', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "type": "incident_permission_sets",
    "attributes": {
      "name": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "slug": "<string>",
      "description": "<string>",
      "private_incident_permissions": [],
      "public_incident_permissions": []
    }
  },
  "included": [
    {
      "id": "<string>",
      "type": "<string>",
      "attributes": {},
      "relationships": {}
    }
  ]
}
{
  "errors": [
    {
      "title": "<string>",
      "status": "<string>",
      "code": "<string>",
      "detail": "<string>"
    }
  ]
}
{
  "errors": [
    {
      "title": "<string>",
      "status": "<string>",
      "code": "<string>",
      "detail": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/vnd.api+json
data
object
required

Response

incident_permission_set created

data
object
required
included
object[]